#include <stdio.h>
#include <string.h>
#define MAX 10000
main()
{
    char s[MAX];
    gets(s);
    int p=0,k=strlen(s)-1,brojac=1,s1,s2,i,j,r=0;
    for(p,k;p<k;p++,k--)
    {
        if(s[p]!=s[k])
            brojac=0;
    }
    if(brojac==1)
        printf("%d",brojac);
    else
    {
        for(int o=0;o<strlen(s)-1;o++)
        {
            if(s[o]=='b')
            {
                if(r==0)
                {
                    i=o;
                    r++;
                }
                else
                {
                    j=o;
                    r++;
                }
            }
            if(r>1)
                break;
        }
        s1=strlen(s)-i-1;
        s2=strlen(s)-j-1;
        if(s2-i<s1-j)
            printf("%d",s2-i+1);
        else
                printf("%d",s1-j+1);

    }
}